module GlossyApp

  class Session

    def create_page_element(document_id, page_id, x, y, width, height, type, data, title = nil)
      data = {
        'page_element' => {
          'page_id' => page_id,
          'type' => type,
          'title' => title,
          'x' => x,
          'y' => y,
          'width' => width,
          'height' => height
        }.merge(data)
      }

      response = glossy_post("/documents/#{document_id}/pages/#{page_id}/page_elements", data.to_json, {"Content-Type" => "application/json"})
      if [200, 201].include?(response.status)
        json = JSON.parse(response.body)
        return json['page_element']['id']
      else
        raise "Invalid response: #{response.inspect}\n#{response.body}"
      end
    end

    def delete_page_element(document_id, page_id, page_element_id)
      response = glossy_delete "/documents/#{document_id}/pages/#{page_id}/page_elements/#{page_element_id}"
      if [200].include?(response.status)
        return true
      else
        raise "Invalid response: #{response.inspect}\n#{response.body}"
      end
    end


  end

end
