module GlossyApp
  
  class Session
    
    def set_external_id_for_page(document_id, page_id, external_id)
      post_data = {
        'page' => {
          'external_id' => external_id
        }
      }
      
      response = glossy_put("/documents/#{document_id}/pages/#{page_id}", post_data.to_json, {"Content-Type" => "application/json"})
      if [200, 201].include?(response.status)
        return true
    
      else
        raise "Invalid response: #{response.inspect}\n#{response.body}"
      end
      
    end
    
    def get_pages(document_id)
      response = glossy_get "/documents/#{document_id}/pages"
      if [200].include?(response.status)
        return JSON.parse(response.body)
      else
        raise "Invalid response: #{response.inspect}\n#{response.body}"
      end
    end
    
    def page_id_for_page_position(document_id, position)
      response = glossy_get "/documents/#{document_id}/pages?positions=#{position}"
      if [200].include?(response.status)
        json = JSON.parse(response.body)
        if json['pages'].is_a?(Array) and json['pages'].size > 0
          return json['pages'].first['id']
        else
          return nil
        end
      else
        return nil
      end
    end
    
  end
  
end